* Encoding: UTF-8.
/*********************************************************************************************************/
/*                                                                                                                                                                           */
/* This SPSS program will extract the United States Sentencing Commission's Federal                */
/*  Robbery:  Prevalence, Trends, and Factors in Sentencing report Main file and create                 */
/*  a SPSS dataset.                                                                                                                                           */
/*                                                                                                                                                                           */
/* Prior to running the program you must update the DAT file location in the                                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                           */
/* computer.                                                                                                                                                       */
/*                                                                                                                                                                          */
/* You must also update the file output location in the SAVE OUTFILE statement at the                  */
/* end of the program to correspond to the folder you want the output file to be located.                  */
/*                                                                                                                                                                          */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\USSC_Robbery_Main_Public.dat" ENCODING="CP1252" / LRECL=380 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              EVENTNUM 8-10            FLAG_HOMICIDE 11-13   
   FLAG_RAPE 14-16          FLAG_ROBBERY 17-19       FLAG_ASSAULT 20-22    
   FLAG_OTHER_VIOLENT 23-25   FLAG_BURGLARY 26-28      FLAG_LARCENY 29-31    
   FLAG_FRAUD 32-34         FLAG_OTHER_PROPERTY 35-37   FLAG_DRUG_TRAFFIC 38-40
   FLAG_DRUG_POSSESS 41-43   FLAG_OTHER_DRUG 44-46    FLAG_WEAPON 47-49     
   FLAG_DUI 50-52           FLAG_IMMIGRATION 53-55   FLAG_PUBLIC_ORDER 56-58
   FLAG_UNSPECIFIED 59-61   FLAG_VIOLENT 62-64       ROB_CAT 65-67         
   VIOLENT 68-71            AGE 72-75                TOTCHPTS 76-79        
   XCRHISSR 80-83           AMENDYR 84-88            GDLINEHI 89-94 (A)    
   FY 95-98                 SENSPCAP 99-116          SENTTCAP 117-134      
   PCNTDEPT 135-152         MNTHDEPT 153-171         SENTRNGE 172-179      
   GLMIN 180-187            CIRCDIST 188-191         IS924C 192-195        
   MONRACE 196-199          MONSEX 200-203           NEWCIT 204-207        
   NEWRACE 208-211          SENTIMP 212-215          GUNMIN1 216-220       
   OFFGUIDE 221-224         ACCAP 225-228            CAROFFAP 229-232      
   ADJ_BHI 233-236          ADJ_CHI 237-240          ADJ_DHI 241-244       
   ADJ_EHI 245-248          ADJ_FHI 249-252          ADJ_GHI 253-256       
   ADJ_HHI 257-260          GDSTATHI 261-266 (A)     STAT_182111 267-269   
   STAT_182112 270-272      STAT_182113 273-275      STAT_182114 276-278   
   STAT_182114A 279-281     STAT_182116 282-284      STAT_182118 285-287   
   STAT_182119 288-290      STAT_181951 291-293      STAT_18371 294-296    
   STAT_18922 297-299       STAT_18922G 300-302      STAT_181959 303-305   
   STAT_181962 306-308      STAT_182113_ROB 309-311   STAT_182118_ROB 312-314
   NEWEDUC 315-318          SOURCES 319-322          ADJ_IHI 323-326       
   ADJ_JHI 327-330          ADJ_KHI 331-334          ADJ_LHI 335-338       
   ADJ_MHI 339-342          ADJ_NHI 343-346          ADJ_OHI 347-350       
   ADJ_PHI 351-354          ADJ_QHI 355-358          ADJ_RHI 359-362       
   ADJ_SHI 363-366          ADJ_THI 367-370          ADJ_UHI 371-374       
   TOTALOTHER 375-377       LENGTH 378-380 .      


FORMATS
  SENSPCAP (F19.16) /      SENTTCAP (F19.16) /      PCNTDEPT (F19.16) /    
  MNTHDEPT (F20.16) / .
 

SAVE OUTFILE='.\USSC_Robbery_Main_Public.sav'.
